/*
 * dump_bin_frame.h
 *
 * Functions for dumping lag frames in binary format.
 */
#ifndef DUMP_BIN_FRAME_H_
#define DUMP_BIN_FRAME_H_
#if HAVE_CONFIG_H
# include <config.h>
#endif

#include <wcbe_lag_frame.h>

// module is not MT-safe

G_BEGIN_DECLS

extern size_t dump_bin_frame(const lf_data_frame_word_t *df);
extern void dump_bin_frame_close_all(void);

G_END_DECLS
#endif /* DUMP_BIN_FRAME_H_ */
