#ifndef WCBE_DECODER_H_
#define WCBE_DECODER_H_

#include <gst/gst.h>
#include <gst/base/gstbasetransform.h>

G_BEGIN_DECLS

/* #defines don't like whitespacey bits */
#define WCBE_TYPE_DECODER \
  (wcbe_decoder_get_type())
#define WCBE_DECODER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),WCBE_TYPE_DECODER,WcbeDecoder))
#define WCBE_DECODER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),WCBE_TYPE_DECODER,WcbeDecoderClass))
#define WCBE_IS_DECODER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),WCBE_TYPE_DECODER))
#define WCBE_IS_DECODER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),WCBE_TYPE_DECODER))

typedef struct _WcbeDecoder      WcbeDecoder;
typedef struct _WcbeDecoderClass WcbeDecoderClass;

struct _WcbeDecoder {
    GstBaseTransform element;
};

struct _WcbeDecoderClass {
    GstBaseTransformClass parent_class;
};

GType wcbe_decoder_get_type(void);

G_END_DECLS

#endif /* WCBE_DECODER_H_ */
